﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;

namespace PagesTest.ViewModel
{
    public class SecondViewModel : ViewModelBase
    {
        private readonly MainWorkspace _mainWs;

        private string _displayText;
        public string DisplayText { get => _displayText; set => SetValue(ref _displayText, value); }

        public ICommand BackCommand { get; private set; }
        public SecondViewModel()
        {
            DisplayText = "Der Text der zweiten Seite!";
            
        }
        public SecondViewModel(string displayText, MainWorkspace mainWs)
        {
            _mainWs = mainWs;
            DisplayText = displayText;
            BackCommand = new RelayCommand(b => _mainWs.CurrentContent = new MainViewModel("Zurück von Zweiter Seite", _mainWs));
        }
    }
}
